
FluidBackporter - Bug # 39154

Status: Resolved Priority: Should have
Author: Tymoteusz Motylewski Category:
Created: 2012-07-21 Assigned To:
Updated: 2013-02-19 Due date:
Subject: use interface for RenderingContext instead of concrete class
Description

right now backporter adds

$this->setRenderingContext($this->objectManager->create(\'Tx_Fluid_Core_Rendering_RenderingContext\'));

to TemplateView.php file.
But should use 'Tx_Fluid_Core_Rendering_RenderingContextInterface'

Associated revisions
Revision 00472bf0 - 2012-07-21 14:02 - Tymoteusz Motylewski

[BUGFIX] Use interface for RenderingContext instead of concrete class

backporter uses concrete class name for RenderingContext instead of interface.

Change-Id: I4142ee111c0043f53fc30cba630ae934cc99aff8
Fixes: #39154

History
#1 - 2012-07-21 13:30 - Tymoteusz Motylewski

Related to issue in v4 #39156

#2 - 2012-07-21 14:02 - Gerrit Code Review

Patch set 1 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/12972

#3 - 2013-02-19 14:30 - Tymoteusz Motylewski
- Status changed from New to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:00472bf0062eb0a6cb8133fff1f0ece4b6366168.
